<!--
 * Copyright 2008 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.1
 -->
<!--@formatter:off-->
<m:message xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:m="http://jboss.org/schema/seam/mail"
           xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html"
           charset="UTF8">
    <m:from name="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"
            address="#{applicationPreferenceManager.getApplicationNoReplyEmail()}"/>
    <m:replyTo name="#{applicationPreferenceManager.getApplicationAdminName()}"
               address="#{applicationPreferenceManager.getApplicationAdminEmail()}"/>
    <h:panelGroup rendered="#{applicationManager.isSendEmailsToAllAdmins()}">
    <ui:repeat value="#{emailManager.institutionAdmins}" var="user">
        <m:to name="#{interpolator.interpolate(messages['gazelle.common.mail.to'], user.firstName, user.lastName)}">
            #{user.email}</m:to>
    </ui:repeat>
    </h:panelGroup>
    <m:to name="#{applicationPreferenceManager.getApplicationAdminName()}">
        #{applicationPreferenceManager.getApplicationAdminEmail()}</m:to>
    <m:bcc name="History">#{applicationPreferenceManager.getApplicationEmailAccountForHistory()}</m:bcc>
    <m:subject>#{applicationPreferenceManager.getApplicationName()} - #{messages['net.ihe.gazelle.tm.GrantNewUserRegisteredForCompany']} #{emailManager.institution.name}
    </m:subject>
    <m:body type="plain">
        #{messages['net.ihe.gazelle.tm.DearAdministrators']},

        #{interpolator.interpolate(messages['gazelle.common.mail.registerNewUser'],emailManager.institution.name, applicationPreferenceManager.getApplicationName())}
        #{messages['gazelle.common.mail.approval.userInfo']}

        #{interpolator.interpolate(messages['gazelle.common.mail.approval.userInfoName'], emailManager.concerned.firstName, emailManager.concerned.lastName)}
        #{interpolator.interpolate(messages['gazelle.common.mail.approval.userInfoMail'], emailManager.concerned.email)}
        #{interpolator.interpolate(messages['gazelle.common.mail.approval.userInfoUsername'], emailManager.concerned.username)}

        #{interpolator.interpolate(messages['gazelle.common.mail.approval.grantInfo'], applicationPreferenceManager.getApplicationName())}
        #{messages['gazelle.common.mail.approval.grantInfoLink']}
        #{applicationPreferenceManager.getApplicationUrl()}confirmRegistrationByVendorAdmin.seam?activationCode=#{emailManager.concerned.activationCode}
        #{messages['gazelle.common.mail.approval.grantInfoLogin']}

        #{applicationPreferenceManager.getApplicationAdminName()}
    </m:body>
</m:message>
<!--@formatter:on-->